Subject: bug#32978: 26.1; newline-and-indent duplicates displayed image

From: Markus Triska <[email-masked]>
Date: Sun, 14 Oct 2018 22:40:50 +0200

Eli Zaretskii <[email-masked]> writes:

>> In this case, I expect test.png to be displayed only in line 1.
>
> Not sure why you expected that.  Perhaps you thought that forward-char
> will move to after the image?

Yes indeed! Since a single forward-char moves over the image when used
interactively, I got the impression that the image is only a single
character. From your code example, I see that this is not the case!

I think a very good solution would be to document the return value of
insert-image-file, i.e., to add to its description a statement such as:

    Returns list of absolute file name and number of characters
    inserted.

What do you think? Thank you very much for looking into this!

All the best,
Markus